

inputparams{1,1} = 'parameter.trialcount';
input{1,2} = 2000;

inputparams{2,1} = 'parameter.bp_size';
input{2,2} = 400;

inputparams{3,1} = 'parameter.token_conn';
input{3,2} = [.45 .55 .65];

inputparams{4,1} = 'parameter.type_conn';
input{4,2} = [.35 .45 .55];

inputparams{5,1} = 'parameter.type_2_conn';
input{5,2} = [.35 .45 .55];

inputparams{6,1} = 'parameter.type_1_overlap';
input{6,2} = .3;

inputparams{7,1} = 'parameter.token_individuation_threshold';
input{7,2} = .018;

count = 0;

for a = 1:length(input{1,2})
    for b = 1:length(input{2,2})
        for c = 1:length(input{3,2})
            for d = 1:length(input{4,2})
                for e = 1:length(input{5,2})
                    for f = 1:length(input{6,2})
                        for g = 1:length(input{7,2})

                            inputparams{1,2} = input{1,2}(a);
                            inputparams{2,2} = input{2,2}(b);
                            inputparams{3,2} = input{3,2}(c);
                            inputparams{4,2} = input{4,2}(d);
                            inputparams{5,2} = input{5,2}(e);
                            inputparams{6,2} = input{6,2}(f);
                            inputparams{7,2} = input{7,2}(g);

                            data = RunExperiment(inputparams);

                            count = count + 1;
                            
                            output(count,1) = data.continuous.sd_rmse;
                            output(count,2) = data.continuous.g_rmse;
                            output(count,3) = data.continuous.b_rmse;
                            
                            output(count,4) = inputparams{1,2};
                            output(count,5) = inputparams{2,2};
                            output(count,6) = inputparams{3,2};
                            output(count,7) = inputparams{4,2};
                            output(count,8) = inputparams{5,2};
                            output(count,9) = inputparams{6,2};
                            output(count,10) = inputparams{7,2};
                            
                        end
                    end
                end
            end
        end
    end
end



